org.apache.cassandra.cql3.statements

## Class Selectable.WithFunction

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Selectable.WithFunction

All Implemented Interfaces:
  Selectable

Enclosing interface:
  Selectable

    public static class Selectable.WithFunction
    extends java.lang.Object
    implements Selectable

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Selectable

`Selectable.WithFunction, Selectable.WritetimeOrTTL`

### Field Summary

Fields
`java.util.List<Selectable>` `args`
`java.lang.String` `functionName`

### Constructor Summary

Constructors
Constructor and Description
`Selectable.WithFunction(java.lang.String functionName, java.util.List<Selectable> args)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### functionName

    public final java.lang.String functionName

#### args

    public final java.util.List<Selectable> args

### Constructor Detail

#### Selectable.WithFunction

    public Selectable.WithFunction(java.lang.String functionName,
                           java.util.List<Selectable> args)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`